<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (1.8.0_161) on Mon Oct 01 15:14:31 CEST 2018 -->
<title>Uses of Class ch.sebi.zuul.logic.Game</title>
<meta name="date" content="2018-10-01">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class ch.sebi.zuul.logic.Game";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../../../../../overview-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?ch/sebi/zuul/logic/class-use/Game.html" target="_top">Frames</a></li>
<li><a href="Game.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class ch.sebi.zuul.logic.Game" class="title">Uses of Class<br>ch.sebi.zuul.logic.Game</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#ch.sebi.zuul.command">ch.sebi.zuul.command</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#ch.sebi.zuul.command.executors.commons">ch.sebi.zuul.command.executors.commons</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#ch.sebi.zuul.command.executors.fight">ch.sebi.zuul.command.executors.fight</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#ch.sebi.zuul.command.executors.normal">ch.sebi.zuul.command.executors.normal</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#ch.sebi.zuul.logic">ch.sebi.zuul.logic</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#ch.sebi.zuul.logic.condition">ch.sebi.zuul.logic.condition</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#ch.sebi.zuul.logic.fight">ch.sebi.zuul.logic.fight</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#ch.sebi.zuul.logic.items">ch.sebi.zuul.logic.items</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#ch.sebi.zuul.logic.items.items.food">ch.sebi.zuul.logic.items.items.food</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#ch.sebi.zuul.logic.items.items.weapon">ch.sebi.zuul.logic.items.items.weapon</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#ch.sebi.zuul.logic.map">ch.sebi.zuul.logic.map</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#ch.sebi.zuul.logic.ui">ch.sebi.zuul.logic.ui</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#ch.sebi.zuul.logic.ui.input">ch.sebi.zuul.logic.ui.input</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#ch.sebi.zuul.logic.ui.menu">ch.sebi.zuul.logic.ui.menu</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="ch.sebi.zuul.command">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a> in <a href="../../../../../ch/sebi/zuul/command/package-summary.html">ch.sebi.zuul.command</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../ch/sebi/zuul/command/package-summary.html">ch.sebi.zuul.command</a> with parameters of type <a href="../../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">CommandExecutor.</span><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/command/CommandExecutor.html#execute-java.lang.String:A-ch.sebi.zuul.logic.Game-">execute</a></span>(java.lang.String[]&nbsp;words,
       <a href="../../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a>&nbsp;game)</code>
<div class="block">executes the command.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">CommandParser.</span><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/command/CommandParser.html#parseNextCommand-ch.sebi.zuul.logic.Game-">parseNextCommand</a></span>(<a href="../../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a>&nbsp;game)</code>
<div class="block">parses the next line which is returned by <a href="../../../../../ch/sebi/zuul/command/Parser.html#readNextLine--"><code>Parser.readNextLine()</code></a>.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="ch.sebi.zuul.command.executors.commons">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a> in <a href="../../../../../ch/sebi/zuul/command/executors/commons/package-summary.html">ch.sebi.zuul.command.executors.commons</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../ch/sebi/zuul/command/executors/commons/package-summary.html">ch.sebi.zuul.command.executors.commons</a> with parameters of type <a href="../../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">HelpExecutor.</span><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/command/executors/commons/HelpExecutor.html#execute-java.lang.String:A-ch.sebi.zuul.logic.Game-">execute</a></span>(java.lang.String[]&nbsp;words,
       <a href="../../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a>&nbsp;game)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="ch.sebi.zuul.command.executors.fight">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a> in <a href="../../../../../ch/sebi/zuul/command/executors/fight/package-summary.html">ch.sebi.zuul.command.executors.fight</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../ch/sebi/zuul/command/executors/fight/package-summary.html">ch.sebi.zuul.command.executors.fight</a> with parameters of type <a href="../../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">AttackExecutor.</span><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/command/executors/fight/AttackExecutor.html#execute-java.lang.String:A-ch.sebi.zuul.logic.Game-">execute</a></span>(java.lang.String[]&nbsp;words,
       <a href="../../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a>&nbsp;game)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="ch.sebi.zuul.command.executors.normal">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a> in <a href="../../../../../ch/sebi/zuul/command/executors/normal/package-summary.html">ch.sebi.zuul.command.executors.normal</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../ch/sebi/zuul/command/executors/normal/package-summary.html">ch.sebi.zuul.command.executors.normal</a> with parameters of type <a href="../../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">GoExecutor.</span><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/command/executors/normal/GoExecutor.html#execute-java.lang.String:A-ch.sebi.zuul.logic.Game-">execute</a></span>(java.lang.String[]&nbsp;words,
       <a href="../../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a>&nbsp;game)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">ConditionsExecutor.</span><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/command/executors/normal/ConditionsExecutor.html#execute-java.lang.String:A-ch.sebi.zuul.logic.Game-">execute</a></span>(java.lang.String[]&nbsp;words,
       <a href="../../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a>&nbsp;game)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">QuitExecutor.</span><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/command/executors/normal/QuitExecutor.html#execute-java.lang.String:A-ch.sebi.zuul.logic.Game-">execute</a></span>(java.lang.String[]&nbsp;words,
       <a href="../../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a>&nbsp;game)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">PickUpExecutor.</span><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/command/executors/normal/PickUpExecutor.html#execute-java.lang.String:A-ch.sebi.zuul.logic.Game-">execute</a></span>(java.lang.String[]&nbsp;words,
       <a href="../../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a>&nbsp;game)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">InventoryExecutor.</span><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/command/executors/normal/InventoryExecutor.html#execute-java.lang.String:A-ch.sebi.zuul.logic.Game-">execute</a></span>(java.lang.String[]&nbsp;words,
       <a href="../../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a>&nbsp;game)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><span class="typeNameLabel">PickUpExecutor.</span><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/command/executors/normal/PickUpExecutor.html#pickupAllItems-ch.sebi.zuul.logic.Game-">pickupAllItems</a></span>(<a href="../../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a>&nbsp;game)</code>
<div class="block">Picks up all items in the current room</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><span class="typeNameLabel">PickUpExecutor.</span><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/command/executors/normal/PickUpExecutor.html#pickupItem-ch.sebi.zuul.logic.items.ItemSlot-int-int-ch.sebi.zuul.logic.Game-">pickupItem</a></span>(<a href="../../../../../ch/sebi/zuul/logic/items/ItemSlot.html" title="class in ch.sebi.zuul.logic.items">ItemSlot</a>&nbsp;itemSlot,
          int&nbsp;slotNr,
          int&nbsp;amount,
          <a href="../../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a>&nbsp;game)</code>
<div class="block">Picks up a specific item</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><span class="typeNameLabel">ConditionsExecutor.</span><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/command/executors/normal/ConditionsExecutor.html#printAllConditions-ch.sebi.zuul.logic.map.Room-ch.sebi.zuul.logic.Game-">printAllConditions</a></span>(<a href="../../../../../ch/sebi/zuul/logic/map/Room.html" title="class in ch.sebi.zuul.logic.map">Room</a>&nbsp;current,
                  <a href="../../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a>&nbsp;game)</code>
<div class="block">prints all conditions</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><span class="typeNameLabel">ConditionsExecutor.</span><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/command/executors/normal/ConditionsExecutor.html#printCondition-ch.sebi.zuul.logic.map.Exit-ch.sebi.zuul.logic.Game-">printCondition</a></span>(<a href="../../../../../ch/sebi/zuul/logic/map/Exit.html" title="class in ch.sebi.zuul.logic.map">Exit</a>&nbsp;e,
              <a href="../../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a>&nbsp;game)</code>
<div class="block">prints the conditions for the given exit</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="ch.sebi.zuul.logic">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a> in <a href="../../../../../ch/sebi/zuul/logic/package-summary.html">ch.sebi.zuul.logic</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../../../ch/sebi/zuul/logic/package-summary.html">ch.sebi.zuul.logic</a> declared as <a href="../../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a></code></td>
<td class="colLast"><span class="typeNameLabel">MainGame.</span><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/MainGame.html#game">game</a></span></code>
<div class="block">The game instance</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../ch/sebi/zuul/logic/package-summary.html">ch.sebi.zuul.logic</a> that return <a href="../../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a></code></td>
<td class="colLast"><span class="typeNameLabel">MainGame.</span><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/MainGame.html#getGame--">getGame</a></span>()</code>
<div class="block">Returns the game instance</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="ch.sebi.zuul.logic.condition">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a> in <a href="../../../../../ch/sebi/zuul/logic/condition/package-summary.html">ch.sebi.zuul.logic.condition</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../ch/sebi/zuul/logic/condition/package-summary.html">ch.sebi.zuul.logic.condition</a> with parameters of type <a href="../../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><span class="typeNameLabel">RoomCondition.</span><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/condition/RoomCondition.html#condition-ch.sebi.zuul.logic.Game-">condition</a></span>(<a href="../../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a>&nbsp;g)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><span class="typeNameLabel">Condition.</span><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/condition/Condition.html#condition-ch.sebi.zuul.logic.Game-">condition</a></span>(<a href="../../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a>&nbsp;g)</code>
<div class="block">If the condition is truthy this function should return true, else false</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><span class="typeNameLabel">NoExitCondition.</span><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/condition/NoExitCondition.html#condition-ch.sebi.zuul.logic.Game-">condition</a></span>(<a href="../../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a>&nbsp;g)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><span class="typeNameLabel">ItemInInventoryCondition.</span><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/condition/ItemInInventoryCondition.html#condition-ch.sebi.zuul.logic.Game-">condition</a></span>(<a href="../../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a>&nbsp;g)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="ch.sebi.zuul.logic.fight">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a> in <a href="../../../../../ch/sebi/zuul/logic/fight/package-summary.html">ch.sebi.zuul.logic.fight</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../ch/sebi/zuul/logic/fight/package-summary.html">ch.sebi.zuul.logic.fight</a> with parameters of type <a href="../../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><span class="typeNameLabel">Fight.</span><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/fight/Fight.html#enemyTurn-ch.sebi.zuul.logic.player.Player-ch.sebi.zuul.logic.Game-">enemyTurn</a></span>(<a href="../../../../../ch/sebi/zuul/logic/player/Player.html" title="class in ch.sebi.zuul.logic.player">Player</a>&nbsp;enemy,
         <a href="../../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a>&nbsp;game)</code>
<div class="block">Makes the turn of one enemy</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Fight.</span><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/fight/Fight.html#nextEnemyTurn-ch.sebi.zuul.logic.Game-">nextEnemyTurn</a></span>(<a href="../../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a>&nbsp;game)</code>
<div class="block">makes the next enemy turns</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Fight.</span><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/fight/Fight.html#play-ch.sebi.zuul.logic.Game-">play</a></span>(<a href="../../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a>&nbsp;game)</code>
<div class="block">Starts the fight</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="ch.sebi.zuul.logic.items">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a> in <a href="../../../../../ch/sebi/zuul/logic/items/package-summary.html">ch.sebi.zuul.logic.items</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../ch/sebi/zuul/logic/items/package-summary.html">ch.sebi.zuul.logic.items</a> with parameters of type <a href="../../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Weapon.</span><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/items/Weapon.html#attack-ch.sebi.zuul.logic.player.Player-ch.sebi.zuul.logic.player.Player-ch.sebi.zuul.logic.Game-">attack</a></span>(<a href="../../../../../ch/sebi/zuul/logic/player/Player.html" title="class in ch.sebi.zuul.logic.player">Player</a>&nbsp;enemy,
      <a href="../../../../../ch/sebi/zuul/logic/player/Player.html" title="class in ch.sebi.zuul.logic.player">Player</a>&nbsp;attacker,
      <a href="../../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a>&nbsp;game)</code>
<div class="block">Invoked if the weapon is being used</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Usable.</span><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/items/Usable.html#use-ch.sebi.zuul.logic.player.Player-ch.sebi.zuul.logic.Game-">use</a></span>(<a href="../../../../../ch/sebi/zuul/logic/player/Player.html" title="class in ch.sebi.zuul.logic.player">Player</a>&nbsp;player,
   <a href="../../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a>&nbsp;game)</code>
<div class="block">called if the item is used</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="ch.sebi.zuul.logic.items.items.food">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a> in <a href="../../../../../ch/sebi/zuul/logic/items/items/food/package-summary.html">ch.sebi.zuul.logic.items.items.food</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../ch/sebi/zuul/logic/items/items/food/package-summary.html">ch.sebi.zuul.logic.items.items.food</a> with parameters of type <a href="../../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Food.</span><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/items/items/food/Food.html#use-ch.sebi.zuul.logic.player.Player-ch.sebi.zuul.logic.Game-">use</a></span>(<a href="../../../../../ch/sebi/zuul/logic/player/Player.html" title="class in ch.sebi.zuul.logic.player">Player</a>&nbsp;player,
   <a href="../../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a>&nbsp;game)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="ch.sebi.zuul.logic.items.items.weapon">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a> in <a href="../../../../../ch/sebi/zuul/logic/items/items/weapon/package-summary.html">ch.sebi.zuul.logic.items.items.weapon</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../ch/sebi/zuul/logic/items/items/weapon/package-summary.html">ch.sebi.zuul.logic.items.items.weapon</a> with parameters of type <a href="../../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">BasicWeapon.</span><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/items/items/weapon/BasicWeapon.html#attack-ch.sebi.zuul.logic.player.Player-ch.sebi.zuul.logic.player.Player-ch.sebi.zuul.logic.Game-">attack</a></span>(<a href="../../../../../ch/sebi/zuul/logic/player/Player.html" title="class in ch.sebi.zuul.logic.player">Player</a>&nbsp;enemy,
      <a href="../../../../../ch/sebi/zuul/logic/player/Player.html" title="class in ch.sebi.zuul.logic.player">Player</a>&nbsp;attacker,
      <a href="../../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a>&nbsp;game)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected java.lang.String</code></td>
<td class="colLast"><span class="typeNameLabel">BasicWeapon.</span><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/items/items/weapon/BasicWeapon.html#getAttackedMessage-ch.sebi.zuul.logic.player.Player-ch.sebi.zuul.logic.player.Player-ch.sebi.zuul.logic.Game-">getAttackedMessage</a></span>(<a href="../../../../../ch/sebi/zuul/logic/player/Player.html" title="class in ch.sebi.zuul.logic.player">Player</a>&nbsp;enemy,
                  <a href="../../../../../ch/sebi/zuul/logic/player/Player.html" title="class in ch.sebi.zuul.logic.player">Player</a>&nbsp;attacker,
                  <a href="../../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a>&nbsp;game)</code>
<div class="block">Returns the message which is printed when the weapon attacks an enemy.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="ch.sebi.zuul.logic.map">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a> in <a href="../../../../../ch/sebi/zuul/logic/map/package-summary.html">ch.sebi.zuul.logic.map</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../ch/sebi/zuul/logic/map/package-summary.html">ch.sebi.zuul.logic.map</a> with parameters of type <a href="../../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><span class="typeNameLabel">Exit.</span><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/map/Exit.html#isOpen-ch.sebi.zuul.logic.Game-">isOpen</a></span>(<a href="../../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a>&nbsp;game)</code>
<div class="block">Returns if the exit is open or not</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="ch.sebi.zuul.logic.ui">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a> in <a href="../../../../../ch/sebi/zuul/logic/ui/package-summary.html">ch.sebi.zuul.logic.ui</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../ch/sebi/zuul/logic/ui/package-summary.html">ch.sebi.zuul.logic.ui</a> with parameters of type <a href="../../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../ch/sebi/zuul/logic/ui/UiObj.html" title="type parameter in UiObj">T</a></code></td>
<td class="colLast"><span class="typeNameLabel">UiObj.</span><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/ui/UiObj.html#printAndWait-ch.sebi.zuul.logic.Game-">printAndWait</a></span>(<a href="../../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a>&nbsp;game)</code>
<div class="block">Prints the ui object and executes the logic of the ui object</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="ch.sebi.zuul.logic.ui.input">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a> in <a href="../../../../../ch/sebi/zuul/logic/ui/input/package-summary.html">ch.sebi.zuul.logic.ui.input</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../ch/sebi/zuul/logic/ui/input/package-summary.html">ch.sebi.zuul.logic.ui.input</a> with parameters of type <a href="../../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../ch/sebi/zuul/logic/ui/input/Input.html" title="type parameter in Input">T</a></code></td>
<td class="colLast"><span class="typeNameLabel">Input.</span><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/ui/input/Input.html#printAndWait-ch.sebi.zuul.logic.Game-">printAndWait</a></span>(<a href="../../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a>&nbsp;game)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="ch.sebi.zuul.logic.ui.menu">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a> in <a href="../../../../../ch/sebi/zuul/logic/ui/menu/package-summary.html">ch.sebi.zuul.logic.ui.menu</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../ch/sebi/zuul/logic/ui/menu/package-summary.html">ch.sebi.zuul.logic.ui.menu</a> with parameters of type <a href="../../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">MenuItemAction.</span><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/ui/menu/MenuItemAction.html#invoke-ch.sebi.zuul.logic.Game-">invoke</a></span>(<a href="../../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a>&nbsp;game)</code>
<div class="block">This method is invoked if the menu to which it was registered was chosen</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../ch/sebi/zuul/logic/ui/menu/MenuItem.html" title="class in ch.sebi.zuul.logic.ui.menu">MenuItem</a></code></td>
<td class="colLast"><span class="typeNameLabel">Menu.</span><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/ui/menu/Menu.html#printAndWait-ch.sebi.zuul.logic.Game-">printAndWait</a></span>(<a href="../../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a>&nbsp;game)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../../../../../overview-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?ch/sebi/zuul/logic/class-use/Game.html" target="_top">Frames</a></li>
<li><a href="Game.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
